import 'package:flutter/material.dart';

import '../../../../theming/appTheme.dart';

class SplitViewPlaceholder extends StatelessWidget {
  const SplitViewPlaceholder({super.key});

  @override
  Widget build(BuildContext context) => Scaffold(
      appBar: AppBar(),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            MediaQuery(
              data: MediaQuery.of(context).copyWith(
                invertColors: !AppTheme.isDarkMode(context),
              ),
              child: Image.asset('assets/logo/icon.png', height: 200),
            ),
            const SizedBox(height: 30),
            const Text('Marianum Fulda\nTalk', textAlign: TextAlign.center, style: TextStyle(fontSize: 30)),
          ],
        ),
      )
    );
}
